Folge 24 – UI erstellen

In diesem Video werde ich das Benutzerinterface erstellen, so wie es in meiner Projektvorstellung aussieht.
Dabei werden nicht nur die benötigten Elemente auf das Formular gebracht, sondern auch schon etwas Code geschrieben.

Und an dieser Stelle der Code der im Makro vorhanden ist.

{MainForm}

<pre class="wp-block-syntaxhighlighter-code">Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Sub check()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    If swModel Is Nothing Then
        swApp.SendMsgToUser2 "Keine Datei geöffnet.", swMessageBoxIcon_e.swMbStop, swMessageBoxBtn_e.swMbOk
        End
    End If
End Sub
Function auslesen(fullname As String)
    Dim swDimension As Dimension
    Set swDimension = swModel.Parameter(fullname)
    Dim arrDimension As Variant
    If Not swDimension Is Nothing Then
        arrDimension = swDimension.GetValue3(swInConfigurationOpts_e.swThisConfiguration, Nothing)
        auslesen = arrDimension(0)
    Else
        swApp.SendMsgToUser "Die Bemassung mit dem Namen(" & fullname & ") gibt es nicht in dem aktuellen Modell."
    End If
End Function</pre>
Code-Sprache: VB.NET (vbnet)

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert